Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge.http
Class PipeContextServer

    java.lang.Object
      php.java.bridge.http.PipeContextServer

All Implemented Interfaces:
  IContextServer

Direct Known Subclasses:
  SocketContextServer

    public class PipeContextServer

extends java.lang.Object
implements IContextServer

This class manages the physical connection on Unix or Linux machines. PHP clients create a pair of named pipes and pass their location via the X_JAVABRIDGE_REDIRECT header (see PhpJavaServlet}. When isAvailable() returns true, all further communication goes through the pair of pipes, see response header X_JAVABRIDGE_REDIRECT.

It is possible to switch off this server by setting the VM property php.java.bridge.no_pipe_server to true, e.g.: -Dphp.java.bridge.no_pipe_server=true.

See Also:
  `SocketContextServer`, `ContextServer`

Constructor Summary
`PipeContextServer(ContextFactory.ICredentials contextServer, ThreadPool threadPool, java.lang.String contextName)` Create a new ContextServer using the ThreadPool.

Method Summary
`void` | `destroy()` Destroy the server
`boolean` | `isAvailable()` Check if the ContextServer is ready
`boolean` | `start(AbstractChannelName channelName)` Start the runner.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PipeContextServer

    public PipeContextServer(ContextFactory.ICredentials contextServer,
                             ThreadPool threadPool,
                             java.lang.String contextName)

  Create a new ContextServer using the ThreadPool.

  Parameters:
    `threadPool` - Obtain runnables from this pool. If null, new threads will be created.

Method Detail

### start

    public boolean start(AbstractChannelName channelName)

  Description copied from interface: `IContextServer`
  Start the runner.

  Specified by:
    `start` in interface `IContextServer`
  Parameters:
    `channelName` - The channel name

### destroy

    public void destroy()

  Destroy the server

  Specified by:
    `destroy` in interface `IContextServer`

### isAvailable

    public boolean isAvailable()

  Check if the ContextServer is ready

  Specified by:
    `isAvailable` in interface `IContextServer`
  Returns:
    true, if the server is available

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD